<?php
/**
 * Created by PhpStorm.
 * User: ntaylor-visionware
 * Date: 12/8/17
 * Time: 4:31 PM
 */

namespace Hilco\Models;

use DB;

class Promotion_SubscriptionGroup extends UuidModel {
    protected $table = 'Promotion_SubscriptionGroup';
    protected $fillable = ['promotion_id', 'subscriptiongroup_id', 'applied', 'commit_sequence'];

    public function promotion() {
        return $this->belongsTo(Promotion::class, 'promotion_id', 'id');
    }

    public function subscriptiongroup() {
        return $this->belongsTo(Order::class, 'subscriptiongroup_id', 'id');
    }

}